{% comment %}ly_global_begin{% endcomment %}{% include 'ly-global' %}{% comment %}ly_global_end{% endcomment %}{% if section.settings.logo %}
  <a href="/" itemprop="url" class="site-header__logo-image">
    {% capture image_size %}{{ section.settings.logo_max_width }}x{% endcapture %}
    <img src="{{ section.settings.logo | img_url: image_size }}"
         srcset="{{ section.settings.logo | img_url: image_size }} 1x, {{ section.settings.logo | img_url: image_size, scale: 2 }} 2x"
         alt="{{ section.settings.logo.alt | default: langify_shop_name }}"
         itemprop="logo">
  </a>
{% else %}
  <h1 class="site-header__logo-link" href="/" itemprop="url">
    <span class="logo">{{ langify_shop_name }}</span>
  </h1>
{% endif %}

<h2 class="password__title">{{ section.settings.header }}</h2>

{% schema %}
{
  "name": "Header",
  "settings": [
    {
      "type": "image_picker",
      "id": "logo",
      "label": "Logo image"
    },
    {
      "type": "text",
      "id": "logo_max_width",
      "label": "Custom logo width (in pixels)",
      "default": "100"
    },
    {
      "type": "text",
      "id": "header",
      "label": "Heading",
      "default": "Coming Soon"
    }
  ]
}
{% endschema %}
